package com.ruoyi.project.ehs.service;

import java.util.List;
import com.ruoyi.project.ehs.domain.THealthapproval;

/**
 * 卫生批文清单Service接口
 * 
 * @author ruoyi
 * @date 2021-07-13
 */
public interface ITHealthapprovalService 
{
    /**
     * 查询卫生批文清单
     * 
     * @param id 卫生批文清单ID
     * @return 卫生批文清单
     */
    public THealthapproval selectTHealthapprovalById(Long id);

    /**
     * 查询卫生批文清单列表
     * 
     * @param tHealthapproval 卫生批文清单
     * @return 卫生批文清单集合
     */
    public List<THealthapproval> selectTHealthapprovalList(THealthapproval tHealthapproval);

    /**
     * 新增卫生批文清单
     * 
     * @param tHealthapproval 卫生批文清单
     * @return 结果
     */
    public int insertTHealthapproval(THealthapproval tHealthapproval);

    /**
     * 修改卫生批文清单
     * 
     * @param tHealthapproval 卫生批文清单
     * @return 结果
     */
    public int updateTHealthapproval(THealthapproval tHealthapproval);

    /**
     * 批量删除卫生批文清单
     * 
     * @param ids 需要删除的卫生批文清单ID
     * @return 结果
     */
    public int deleteTHealthapprovalByIds(Long[] ids);

    /**
     * 删除卫生批文清单信息
     * 
     * @param id 卫生批文清单ID
     * @return 结果
     */
    public int deleteTHealthapprovalById(Long id);
}
